﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Pivot.DataProviders.Xmla;

namespace RadPivotGrid_XmlaDataProvider_SimpleApp_SL
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            XmlaDataProvider dataProvider = new XmlaDataProvider();

            dataProvider.BeginInit();

            dataProvider.ConnectionSettings = new XmlaConnectionSettings()
            {
                Credentials = new XmlaNetworkCredential()
                {
                    UserName = "UserName",
                    Domain = "TestDomai",
                    Password = "TestPassword"
                },

                Cube = "Adventure Works",
                Database = "Adventure Works DW 2008R2",
                ServerAddress = "http://demos.telerik.com/olap/msmdpump.dll"
            };

            //If you want to set it in code behind uncomment these two lines
            //this.radPivotFieldList.DataProvider = dataProvider;
            //this.radPivotGrid.DataProvider = dataProvider;
            dataProvider.EndInit();
        }
    }
}
